# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name citeproc-hs

%global common_summary Haskell Citation Style Language library

%global common_description citeproc-hs is a library for rendering bibliographic reference citations\
into a variety of styles using a macro language called\
Citation Style Language (CSL): http://citationstyles.org/.

Name:           ghc-%{pkg_name}
Version:        0.3.4
Release:        5%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-json-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-pandoc-types-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-syb-prof
BuildRequires:  ghc-utf8-string-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-xml-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

echo %{_datadir}/%{pkg_name}-%{version} >> ghc-citeproc-hs%{?ghc_without_shared:-devel}.files

%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc README


%changelog
* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.3.4-5
- rebuild

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.3.4-4
- add license to ghc_files

* Wed Mar  7 2012 Jens Petersen <petersen@redhat.com> - 0.3.4-3
- rebuild

* Mon Feb 13 2012 Jens Petersen <petersen@redhat.com> - 0.3.4-2
- rebuild

* Tue Feb  7 2012 Jens Petersen <petersen@redhat.com> - 0.3.4-1
- update to 0.3.4

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.3.3-1
- update to 0.3.3 and cabal2spec-0.25.2

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3.2-6.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.3.2-6.1
- rebuild with new gmp

* Thu Aug  4 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-6
- rebuild for pandoc-types-1.8.2

* Wed Jul 27 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-5
- rebuild for xml-1.3.9

* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-4
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Sat May 28 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-3
- rebuild for newer ghc-xml

* Tue May 24 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-2
- include locale files
- drop ghc_pkg_deps 
- fix macro in comment for rpmlint

* Tue May  3 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-1
- BSD license
- long list of deps

* Tue May  3 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.6
